extends Label

var tutorials = \
["Welcome to Su-no-ku, 
because it's not Sudoku. 
Kill EVERYONE, ill tell 
you more in a second.",
"You see those areas,
the ones that the
enemies came out of?
go there.",
"Top right are your
stats, hover over
each one to find
out what it does.",
"Your stats are
calculated by adding
all of the numbers in
the row or column...",
"Not counting the
number with the X on it, 
that is a multiplier,
it's added at the end",
"Try messing around
with the values, you
can only do so in the
shop",
"You can also buy
upgrades in the shop,
try dragging one over
to your inventory",
"Your goal is to
survive as long as
possible, have fun!"]

var tutorial_number = 0

@onready var inventory = get_parent()
@onready var next = $Next
@onready var previous = $Previous

func _ready() -> void:
	text = tutorials[0]

func _process(delta: float) -> void:
	text = tutorials[tutorial_number]
	if tutorial_number <= 0:
		previous.hide()
	else:
		previous.show()
		
	if tutorial_number >= len(tutorials)-1:
		next.hide()
	else:
		next.show()


func _on_next_pressed() -> void:
	tutorial_number += 1


func _on_previous_pressed() -> void:
	tutorial_number -= 1
